class rvm::passenger::apache::centos::post(
  $ruby_version,
  $version,
  $rvm_prefix = '/usr/local/',
  $objdir = 'ext',
  $mininstances = '1',
  $maxpoolsize = '6',
  $poolidletime = '300',
  $maxinstancesperapp = '0',
  $spawnmethod = 'smart-lv2',
  $gempath,
  $binpath
) {

  exec { 'passenger-install-apache2-module':
    command     => "${rvm::passenger::apache::binpath}rvm ${rvm::passenger::apache::ruby_version} exec passenger-install-apache2-module -a",
    creates     => "${rvm::passenger::apache::gempath}/passenger-${rvm::passenger::apache::version}/${rvm::passenger::apache::objdir}/apache2/mod_passenger.so",
    logoutput   => 'on_failure',
    require     => [Rvm_gem['passenger'], Package['httpd','httpd-devel','mod_ssl']],
    environment => [ 'HOME=/root', ],
  }

  file { '/etc/httpd/conf.d/passenger.conf':
    ensure  => file,
    content => template('rvm/passenger-apache-centos.conf.erb'),
    require => Exec['passenger-install-apache2-module'];
  }
}
